%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-framework
Version:          3.0.2
Release:          2%{?dist}
Summary:          JBoss OSGi Core Framework
License:          LGPLv2+
URL:              http://www.jboss.org/
Source0:          https://github.com/jbosgi/jbosgi-framework/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jbosgi-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    arquillian-core
BuildRequires:    jboss-logging
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-modules
BuildRequires:    jboss-msc
BuildRequires:    jbosgi-deployment
BuildRequires:    jbosgi-spi
BuildRequires:    jbosgi-vfs
BuildRequires:    jbosgi-resolver
BuildRequires:    eclipse-equinox-osgi
BuildRequires:    maven-license-plugin

%description
This package contains the JBoss OSGi Core Framework.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbosgi-framework-%{namedversion}

%pom_disable_module itest

%pom_remove_dep "org.osgi:org.osgi.core" core/pom.xml
%pom_add_dep "org.eclipse:osgi" core/pom.xml

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Jul 26 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.2-2
- Rebuild

* Fri Jun 28 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.2-1
- Upstream release 3.0.2.Final
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.8-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 27 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.8-3
- Removed core/src/main/java/org/osgi/* files

* Fri Jun 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.8-2
- Updated the BR and R

* Fri Jun 08 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.8-1
- Initial packaging

